org.apache.bcel.generic

## Class ArrayElementValueGen

- java.lang.Object
- - org.apache.bcel.generic.ElementValueGen
  - - org.apache.bcel.generic.ArrayElementValueGen

-     public class ArrayElementValueGen
      extends ElementValueGen

  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.ElementValueGen

      `ANNOTATION, ARRAY, CLASS, cpGen, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayElementValueGen(ArrayElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)`
    `ArrayElementValueGen(ConstantPoolGen cp)`
    `ArrayElementValueGen(int type, ElementValue[] datums, ConstantPoolGen cpool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(ElementValueGen gen)`
    `void` | `dump(DataOutputStream dos)`
    `ElementValue` | `getElementValue()` Return immutable variant of this ArrayElementValueGen
    `List<ElementValueGen>` | `getElementValues()`
    `int` | `getElementValuesSize()`
    `String` | `stringifyValue()`

    - ### Methods inherited from class org.apache.bcel.generic.ElementValueGen

      `copy, getConstantPool, getElementValueType, readElementValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayElementValueGen

          public ArrayElementValueGen(ConstantPoolGen cp)

    - #### ArrayElementValueGen

          public ArrayElementValueGen(int type,
                                      ElementValue[] datums,
                                      ConstantPoolGen cpool)

    - #### ArrayElementValueGen

          public ArrayElementValueGen(ArrayElementValue value,
                                      ConstantPoolGen cpool,
                                      boolean copyPoolEntries)

      Parameters:
        `value` -
        `cpool` -

  - ### Method Detail

    - #### getElementValue

          public ElementValue getElementValue()

      Return immutable variant of this ArrayElementValueGen
      Specified by:
        `getElementValue` in class `ElementValueGen`

    - #### dump

          public void dump(DataOutputStream dos)
                    throws IOException

      Specified by:
        `dump` in class `ElementValueGen`
      Throws:
        `IOException`

    - #### stringifyValue

          public String stringifyValue()

      Specified by:
        `stringifyValue` in class `ElementValueGen`

    - #### getElementValues

          public List<ElementValueGen> getElementValues()

    - #### getElementValuesSize

          public int getElementValuesSize()

    - #### addElement

          public void addElement(ElementValueGen gen)

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.